<?php

namespace Drupal\Tests\commerce_migrate_ubercart\Functional\uc6;

use Drupal\Tests\migrate_drupal_ui\Functional\MultilingualReviewPageTestBase;

/**
 * Tests migrate upgrade review page for Ubercart 6.
 *
 * @group commerce_migrate
 * @group commerce_migrate_uc6
 */
class MigrateUpgradeReviewPageTest extends MultilingualReviewPageTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = [
    'action',
    'address',
    'commerce',
    'commerce_price',
    'commerce_store',
    'commerce_order',
    'commerce_product',
    'commerce_migrate',
    'commerce_migrate_ubercart',
    'commerce_shipping',
    'content_translation',
    'entity',
    'entity_reference_revisions',
    'inline_entity_form',
    'language',
    'locale',
    'path',
    'path_alias',
    'profile',
    'physical',
    'state_machine',
    'text',
    'views',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->loadFixture(drupal_get_path('module', 'commerce_migrate_ubercart') . '/tests/fixtures/uc6.php');
  }

  /**
   * {@inheritdoc}
   */
  protected function getSourceBasePath() {
    return '';
  }

  /**
   * {@inheritdoc}
   */
  protected function getAvailablePaths() {
    return [
      'Block',
      'Block translation',
      'Blog',
      'Blog API',
      'Calendar Signup',
      'Color',
      'Comment',
      'Contact',
      'Content',
      'Content Copy',
      'Content Multigroup',
      'Content Permissions',
      'Content translation',
      'Content type translation',
      'Database logging',
      'Email',
      'Fieldgroup',
      'FileField',
      'FileField Meta',
      'Filter',
      'Flatrate',
      'Help',
      'ImageAPI',
      'ImageAPI GD2',
      'ImageAPI ImageMagick',
      'ImageCache',
      'ImageCache UI',
      'ImageField',
      'Internationalization',
      'Link',
      'Locale',
      'Menu',
      'Menu translation',
      'Node',
      'Node Reference',
      'Number',
      'OpenID',
      'Option Widgets',
      'Order',
      'PHP filter',
      'Path',
      'Phone - CCK',
      'Ping',
      'Poll',
      'Poll aggregate',
      'Product',
      'Product attributes',
      'Profile',
      'Search',
      'Store',
      'String translation',
      'Synchronize translations',
      'System',
      'Taxonomy',
      'Taxonomy translation',
      'Text',
      'Throttle',
      'Token',
      'Tracker',
      'Trigger',
      'Upload',
      'User',
      'User Reference',
      'Views UI',
      'jQuery UI',
    ];
  }

  /**
   * {@inheritdoc}
   */
  protected function getMissingPaths() {
    return [
      '2Checkout',
      'Aggregator',
      'Authorize.net',
      'Book',
      'CCK translation',
      'Cart',
      'Cart Links',
      'Catalog',
      'Conditional Actions',
      'Credit card',
      'CyberSource',
      'File downloads',
      'Forum',
      'Google Analytics for Ubercart',
      'Google Checkout',
      'Image',
      'Image Attach',
      'Image Gallery',
      'Image Import',
      'ImageMagick Advanced Options',
      'PayPal',
      'Payment',
      'Payment method pack',
      'Product Kit',
      'Profile translation',
      'Reports',
      'Roles',
      'Shipping',
      'Shipping Quotes',
      'Statistics',
      'Stock',
      'Syslog',
      'Tax report',
      'Taxes',
      'Test gateway',
      'Token actions',
      'TokenSTARTER',
      'U.S. Postal Service',
      'UPS',
      'Update status',
      'Views',
      'Views translation',
      'Weight quote',
      'migrate_status_active_test',
    ];
  }

}
