<?php

namespace Drupal\Tests\commerce_migrate_ubercart\Functional\uc7;

use Drupal\Tests\migrate_drupal_ui\Functional\MultilingualReviewPageTestBase;

/**
 * Tests migrate upgrade review page for Ubercart 7.
 *
 * @group commerce_migrate
 * @group commerce_migrate_uc7
 */
class MigrateUpgradeReviewPageTest extends MultilingualReviewPageTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = [
    'action',
    'address',
    'commerce',
    'commerce_price',
    'commerce_store',
    'commerce_order',
    'commerce_product',
    'commerce_migrate',
    'commerce_migrate_ubercart',
    'commerce_shipping',
    'content_translation',
    'entity',
    'entity_reference_revisions',
    'inline_entity_form',
    'language',
    'locale',
    'path',
    'path_alias',
    'profile',
    'physical',
    'state_machine',
    'text',
    'views',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->loadFixture(drupal_get_path('module', 'commerce_migrate_ubercart') . '/tests/fixtures/uc7.php');
  }

  /**
   * {@inheritdoc}
   */
  protected function getSourceBasePath() {
    return '';
  }

  /**
   * {@inheritdoc}
   */
  protected function getAvailablePaths() {
    $paths = [
      'Block',
      'Blog',
      'Bulk Export',
      'Chaos Tools (CTools) AJAX Example',
      'Chaos tools',
      'Color',
      'Comment',
      'Contact',
      'Content translation',
      'Contextual links',
      'Custom content panes',
      'Custom rulesets',
      'Dashboard',
      'Database logging',
      'Entity API',
      'Entity feature module',
      'Entity tokens',
      'Field',
      'Field SQL storage',
      'Field UI',
      'File',
      'Filter',
      'Flat rate',
      'Help',
      'Image',
      'List',
      'Locale',
      'Menu',
      'Node',
      'Number',
      'OpenID',
      'Options',
      'Order',
      'Overlay',
      'PHP filter',
      'Page manager',
      'Path',
      'Poll',
      'Product',
      'Product attributes',
      'Profile',
      'RDF',
      'Search',
      'Search embedded form',
      'Shortcut',
      'Store',
      'Stylizer',
      'System',
      'Taxonomy',
      'Term Depth access',
      'Test search node tags',
      'Test search type',
      'Testing',
      'Text',
      'Token',
      'Toolbar',
      'Trigger',
      'User',
      'Views UI',
      'Views content panes',
    ];
    return $paths;
  }

  /**
   * {@inheritdoc}
   */
  protected function getMissingPaths() {
    $paths = [
      '2Checkout',
      'Aggregator',
      'Authorize.net',
      'Book',
      'Cart',
      'Cart Links',
      'Catalog',
      'Credit card',
      'CyberSource',
      'Discount Coupon Extended Workflow',
      'Discount Coupon Purchase',
      'Discount Coupon Recurring Payment Integration',
      'Discount Coupons',
      'File downloads',
      'Forum',
      'Google Analytics for Ubercart',
      'Google Checkout',
      'PayPal',
      'Payment',
      'Payment method pack',
      'Product kit',
      'Reports',
      'Roles',
      'Rules',
      'Rules Scheduler',
      'Rules UI',
      'Rules translation',
      'Shipping',
      'Shipping quotes',
      'Statistics',
      'Stock',
      'Syslog',
      'Tax report',
      'Taxes',
      'Test gateway',
      'Tracker',
      'U.S. Postal Service',
      'UPS',
      'Ubercart Ajax Administration',
      'Update manager',
      'Views',
      'Weight quote',
      'migrate_status_active_test',
    ];
    return $paths;
  }

}
